varying lowp vec4 v_color;
varying lowp vec4 v_outlineColor;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {
	
	mediump float packedOutlineAlpha = texture2D(u_texture, v_texCoord).a;
	float outlineAlphaRange = max(packedOutlineAlpha - 0.5, 0.0) * 2.0;
	
	gl_FragColor.rgb = (outlineAlphaRange * v_color.rgb) + ((1.0-outlineAlphaRange) * v_outlineColor.rgb);

	float alphaValue = min(2.0 * packedOutlineAlpha, 1.0);
	gl_FragColor.a = (v_color.a * alphaValue * outlineAlphaRange) + ((1.0-outlineAlphaRange) * alphaValue * v_outlineColor.a);
}
