attribute vec4 a_position;
attribute vec3 a_objectPosition;
attribute vec4 a_color;
attribute vec2 a_texCoord;

uniform mat4 u_modelViewMatrix;
uniform mat4 u_projectionMatrix;

varying vec2 v_texCoord;
varying vec4 v_color;

void main() {
	if(a_color.z <0.1) {
		float expand = 1.2;
		a_position.x = (a_position.x - a_objectPosition.x) * expand + a_objectPosition.x;
		a_position.y = (a_position.y - a_objectPosition.y) * expand + a_objectPosition.y;
	}
	
	gl_Position = u_modelViewMatrix * a_position;
	gl_Position = u_projectionMatrix * gl_Position;

	v_texCoord = a_texCoord;
	v_color = a_color;
}