attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;

uniform lowp vec4 u_materialAmbient;
uniform lowp vec4 u_color4;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;
varying mediump vec2 v_texCoordMask;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = vec4(u_materialAmbient.a, u_materialAmbient.a, u_materialAmbient.a, 1.0);
	v_texCoord = a_texCoord;
	
	float maskVal = u_color4.r;
	
	float addVal = max(0.0, (0.5 - maskVal));
	float mulVal = (1.0 - (max(0.0, maskVal - 0.5)));
	
	v_texCoordMask = addVal + (a_texCoord * mulVal);	
}